/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ContaMD;

/**
 *
 * @author Shiro
 */
public class RenderContaMD implements ListitemRenderer {
    public void render(Listitem lstm, Object o) throws Exception {
        ContaMD conta = (ContaMD) o;

        Listcell lc = new Listcell(conta.getCodigoContabil().toString());
        lc.setParent(lstm);

        lc = new Listcell(conta.getNome());
        lc.setParent(lstm);

        lc = new Listcell(conta.getTipoDesc());
        lc.setParent(lstm);

        lc = new Listcell(conta.getStatusDesc());
        lc.setParent(lstm);

        lstm.setAttribute("data", conta);
    }
}
